// By jack music,from ucancode software
// You can contact us.
// jack@ucancode.net
// Visit http://www.ucancode.net to download new version.
/********************************************************************/
/////////////////////////////////////////////////////////////////////////////
// BTComboBox.cpp : implementation file
//

#include "stdafx.h"
#include "BTComboBox.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBTComboBox

CBTComboBox::CBTComboBox()
	: CComboBox()
{
	m_pAngleWnd = NULL;
}

CBTComboBox::~CBTComboBox()
{
}


BEGIN_MESSAGE_MAP(CBTComboBox, CComboBox)
	//{{AFX_MSG_MAP(CBTComboBox)
	ON_CONTROL_REFLECT(CBN_EDITCHANGE, OnEditchange)
	ON_CONTROL_REFLECT(CBN_SELCHANGE, OnSelchange)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBTComboBox message handlers

void CBTComboBox::OnEditchange() 
{
	// TODO: Add your control notification handler code here
	TCHAR buf[64];
	GetWindowText(buf, 64);
	UpdateAngleBox(buf);
	
	GetParent()->PostMessage(EX_WM_EDITCHANGE, GetDlgCtrlID(), 0);
}

void CBTComboBox::OnSelchange() 
{
	// TODO: Add your control notification handler code here
	TCHAR buf[64];
	int nSel = GetCurSel();
	GetLBText(nSel, buf);
	UpdateAngleBox(buf);

	GetParent()->PostMessage(EX_WM_EDITCHANGE, GetDlgCtrlID(), 0);
}

void CBTComboBox::UpdateAngleBox(TCHAR *szText)
{
	if (m_pAngleWnd)
	{
		m_pAngleWnd->UpdateAngleBox(FALSE);

		if (isdigit(szText[0]))
		{
			double dAngle = atoi(szText);
			m_pAngleWnd->SetAngleValue(dAngle, TRUE);
		}
	}
}

void CBTComboBox::AttachToAngleBox(CBTAngleWnd *pBox)
{
	m_pAngleWnd = pBox;
}